---
name: Transaction Details
---

import { Playground, PropsTable } from 'docz'

import { TransactionDetailsComponent } from './transaction-details.js'
import { DoczWrapper } from '../theme.js'

# Transaction Details

## Properties

<PropsTable of={TransactionDetailsComponent} />

## Basic Usage

<Playground>
  <DoczWrapper>
    {() => (
      <TransactionDetailsComponent
        type="receive"
        amount={2851}
        zecPrice={56}
        transactionId="asdh8233uhd89as283dhuashd23-493iskdfdnhdufhs"
        from="WKSJniasnxusiuhd898ns13umdoioj93287yhnjknxU"
        to="WKSJniasnxusiuhd898ns13umdoioj93287yhnjknxU"
        date={new Date().toISOString()}
      />
    )}
  </DoczWrapper>
</Playground>
